=head1 NAME

Gnome2::ColorPicker - wrapper for GnomeColorPicker

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Button
                                +----Gnome2::ColorPicker



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Activatable



=cut


=head1 METHODS

=head2 widget = Gnome2::ColorPicker-E<gt>B<new> 

=head2 (r, g, b, a) = $cp-E<gt>B<get_d> 

=head2 $cp-E<gt>B<set_d> ($r, $g, $b, $a)

=over

=item * $r (double) 

=item * $g (double) 

=item * $b (double) 

=item * $a (double) 

=back

=head2 boolean = $cp-E<gt>B<get_dither> 

=head2 $cp-E<gt>B<set_dither> ($dither)

=over

=item * $dither (boolean) 

=back

=head2 (r, g, b, a) = $cp-E<gt>B<get_i16> 

=head2 $cp-E<gt>B<set_i16> ($r, $g, $b, $a)

=over

=item * $r (unsigned) 

=item * $g (unsigned) 

=item * $b (unsigned) 

=item * $a (unsigned) 

=back

=head2 (r, g, b, a) = $cp-E<gt>B<get_i8> 

=head2 $cp-E<gt>B<set_i8> ($r, $g, $b, $a)

=over

=item * $r (unsigned) 

=item * $g (unsigned) 

=item * $b (unsigned) 

=item * $a (unsigned) 

=back

=head2 string = $cp-E<gt>B<get_title> 

=head2 $cp-E<gt>B<set_title> ($title)

=over

=item * $title (string) 

=back

=head2 boolean = $cp-E<gt>B<get_use_alpha> 

=head2 $cp-E<gt>B<set_use_alpha> ($use_alpha)

=over

=item * $use_alpha (boolean) 

=back



=cut


=head1 PROPERTIES

=over

=item 'alpha' (Glib::UInt : default 0 : readable / writable)

The alpha value of the chosen color

=item 'blue' (Glib::UInt : default 0 : readable / writable)

The amount of blue in the chosen color

=item 'dither' (boolean : default true : readable / writable)

Whether or not to dither to color

=item 'green' (Glib::UInt : default 0 : readable / writable)

The amount of green in the chosen color

=item 'red' (Glib::UInt : default 0 : readable / writable)

The amount of red in the chosen color

=item 'title' (string : default undef : readable / writable)

The title to give to the color picker

=item 'use-alpha' (boolean : default false : readable / writable)

Whether or not to give the color an alpha value

=back



=cut


=head1 SIGNALS

=over

=item B<color-set> (Gnome2::ColorPicker, Glib::UInt, Glib::UInt, Glib::UInt, Glib::UInt)

=back



=cut


=head1 SEE ALSO

L<Gnome2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>, L<Gtk2::Button>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2004 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gnome2> for a full notice.



=cut

